#
#	File:		MathTool.make
#
#	Contains:	Make file for the Virtual User example external tool MathTool
#
#	Written by:	Jeff Cathers, Chad Williams, and David Gaxiola
#
#	Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <2>	 3/22/94	CMW		Add AEUserTermTypes.r.
#				  8/6/92	DGG		Changed makefile into MathTool.make
#				  8/3/92	DGG		Added support for services and changed signature	
#		 <1>	 2/20/92	JCC		Ready for SCM build
#		 <6>	 2/19/92	JCC		Finishing touches
#		 <5>	 2/18/92	CMW		Change the use of the "extraloptions" variable to instead use
#									"extralinkoptions" to match the variables used in all our other
#									makefiles.
#		 <4>	 2/13/92	JCC		Take out the Pascal stuff.
#		 <3>	 2/13/92	JCC		Added {extraloptions}, {extrapoptions} and {extracoptions}
#		 <2>	 2/12/92	JCC		Commented out CSANELib,o, Math.o, Complex.o, SANELib.o and
#									PasLib.o
#
#	To Do:
#
#   Sources:    MathTool.c MathTool.r AEUserTermTypes.r
#   Target:     MathTool
#   Created:    Wednesday, February 5, 1992 4:48:38 PM
#

OBJECTS = MathTool.c.o

MathTool  MathTool.make MathTool.r AEUserTermTypes.r
	Rez MathTool.r AEUserTermTypes.r -append -o MathTool

MathTool  MathTool.make {OBJECTS}
	Link -t APPL -c VUmt {extralinkoptions} 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"Math.o 
		-o MathTool

mathTool.c.o  MathTool.c
	 C -r MathTool.c {extracoptions}
