/* MathTool.r - Resource file for MathTool VU External Tool */
/* Copyright  1992-4 Apple Computer, Inc.  All rights reserved */

#include "types.r"
#include "systypes.r"

#include "AEUserTermTypes.r"

resource 'MENU' (128, preload) 
{
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About MathTool", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) 
{
	129,
	textMenuProc,
	0xFFF,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, preload) 
{
	130,
	textMenuProc,
	0x3400,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (128) 
{
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130
	}
};

resource 'SIZE' (-1) 
{
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'BNDL' (128) 
{
	'VUmt',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

data 'VUmt' (0, "Owner resource") 
{
	$"00"                                                 /* . */
};

resource 'FREF' (128) 
{
	'APPL',
	0,
	""
};

resource 'ALRT' (128) 
{
	{40, 20, 150, 260},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (666, purgeable) 
{
	{40, 40, 228, 332},
	666,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ICON' (130) 
{
	$"0000 0000 0000 0000 3FFF FFFE 2000 0002"            /* ........?... ... */
	$"2007 8F02 200C 8902 2001 8302 2003 0602"            /*  .. .. .. ... */
	$"2006 0102 200F AF02 2000 0002 2000 8F02"            /*  ... .. ... .. */
	$"2080 8102 2080 8302 23E0 8602 2080 8C02"            /*  . .#.. . */
	$"2080 A802 2000 0002 2000 0002 27FF FFE2"            /*  . ... ...'... */
	$"2000 0002 2001 F002 2003 1802 2000 1802"            /*  ... ... ... ... */
	$"2000 7002 2000 C002 2000 C002 2000 0002"            /*  .p. .. .. ... */
	$"2000 C002 2000 0002 3FFF FFFE 0000 0000"            /*  .. ...?....... */
};

resource 'ICON' (129) 
{
	$"0000 0000 0000 0000 0000 6000 0003 D000"
	$"003E 0800 002C 0C00 002C 07FC 0068 0E02"
	$"0040 1906 0040 E20C 0047 8E30 00FC 38E0"
	$"01C0 E1C0 037F 8F40 0E60 7AC0 1807 D540"
	$"30FB EAC0 3F55 D540 01EA AAE0 0355 57E0"
	$"02AA BF30 0F55 E710 1EFB 0C18 0F9C 180C"
	$"0014 3006 003C 6003 00FC C001 0384 8001"
	$"060C 8001 040B 0101 0FFF FFFF"
};

resource 'ICON' (128) 
{
	$"0003 C000 000C 3000 0010 0800 0010 0800"
	$"03A3 65C0 0460 0620 047E 3E20 0462 2620"
	$"03C1 C1C0 047F FE20 0480 0120 0480 4120"
	$"0480 8120 0487 F120 048F E120 048F E120"
	$"048F F120 0487 F120 0483 6120 0480 0120"
	$"047F FE20 0400 0020 0400 0020 0400 0020"
	$"0400 FE20 0400 0020 0400 0020 0400 0020"
	$"03FF FFC0 0200 0040 0200 0040 03FF FFC0"
};

resource 'ICN#' (128) 
{
	{
		$"0000 0000 0000 0000 3FFF FFFE 2000 0002"            /* ........?... ... */
		$"2007 8F02 200C 8902 2001 8302 2003 0602"            /*  .. .. .. ... */
		$"2006 0102 200F AF02 2000 0002 2000 8F02"            /*  ... .. ... .. */
		$"2080 8102 2080 8302 23E0 8602 2080 8C02"            /*  . .#.. . */
		$"2080 A802 2000 0002 2000 0002 27FF FFE2"            /*  . ... ...'... */
		$"2000 0002 2001 F002 2003 1802 2000 1802"            /*  ... ... ... ... */
		$"2000 7002 2000 C002 2000 C002 2000 0002"            /*  .p. .. .. ... */
		$"2000 C002 2000 0002 3FFF FFFE 0000 0000",            /*  .. ...?....... */
		$"0000 0000 7FFF FFFE 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"            /* ................ */
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 3FFF FFFF"            /* ............?... */
	}
};

resource 'icl4' (128) 
{
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0BBB BBBB BBBB BBBB BBBB BBBB BBBB BBB0"            /* . */
	$"0BAA AAAA AAAA AAAA AAAA AAAA AAAA AAAE"            /* . */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9999 9999 9000 0999 0000 9999 9AAE"            /* ..ƙ.. */
	$"0BA9 9999 9999 0099 0999 0990 9999 9AAE"            /* ..ƙƐ */
	$"0BA9 9999 9999 9990 0999 9900 9999 9AAE"            /* .ƙ. */
	$"0BA9 9999 9999 9900 9999 9009 9999 9AAE"            /* ..ƙ */
	$"0BA9 9999 9999 9009 9999 9990 9999 9AAE"            /* .ƙ */
	$"0BA9 9999 9999 0000 0909 0000 9999 9AAE"            /* ..... */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9999 9999 9999 0999 0000 9999 9AAE"            /* .ƙ.. */
	$"0BA9 9999 0999 9999 0999 9990 9999 9AAE"            /* .ƙƙ */
	$"0BA9 9999 0999 9999 0999 9900 9999 9AAE"            /* .ƙƙ. */
	$"0BA9 9900 0009 9999 0999 9009 9999 9AAE"            /* ...ƙƙƙ */
	$"0BA9 9999 0999 9999 0999 0099 9999 9AAE"            /* .ƙƙ. */
	$"0BA9 9999 0999 9999 0909 0999 9999 9AAE"            /* .ƙƙ */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9000 0000 0000 0000 0000 0009 9AAE"            /* ...........ƚ */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9999 9999 9990 0000 9999 9999 9AAE"            /* ... */
	$"0BA9 9999 9999 9900 9990 0999 9999 9AAE"            /* ..ƙ */
	$"0BA9 9999 9999 9999 9990 0999 9999 9AAE"            /* .ƙ */
	$"0BA9 9999 9999 9999 9000 9999 9999 9AAE"            /* .. */
	$"0BA9 9999 9999 9999 0099 9999 9999 9AAE"            /* .. */
	$"0BA9 9999 9999 9999 0099 9999 9999 9AAE"            /* .. */
	$"0BA9 9999 9999 9999 9999 9999 9999 9AAE"            /* . */
	$"0BA9 9999 9999 9999 0099 9999 9999 9AAE"            /* .. */
	$"0BAA AAAA AAAA AAAA AAAA AAAA AAAA AAAE"            /* . */
	$"0BAA AAAA AAAA AAAA AAAA AAAA AAAA AAAE"            /* . */
	$"00EE EEEE EEEE EEEE EEEE EEEE EEEE EEEE"            /* ................ */
};

resource 'icl8' (128) 
{
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0000 0000 0000 0000 0000 0000 0000 0000"            /* ................ */
	$"0008 0808 0808 0808 0808 0808 0808 0808"            /* ................ */
	$"0808 0808 0808 0808 0808 0808 0808 0800"            /* ................ */
	$"0008 3333 3333 3333 3333 3333 3333 3333"            /* ..33333333333333 */
	$"3333 3333 3333 3333 3333 3333 3333 33FC"            /* 333333333333333. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A500 0000"            /* ..3... */
	$"00A5 A5A5 0000 0000 A5A5 A5A5 A533 33FC"            /* .....33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 0000 A5A5"            /* ..3.. */
	$"00A5 A5A5 00A5 A500 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A500"            /* ..3. */
	$"00A5 A5A5 A5A5 0000 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 0000"            /* ..3.. */
	$"A5A5 A5A5 A500 00A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A500 00A5"            /* ..3.. */
	$"A5A5 A5A5 A5A5 A500 A5A5 A5A5 A533 33FC"            /* .33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 0000 0000"            /* ..3.... */
	$"00A5 00A5 0000 0000 A5A5 A5A5 A533 33FC"            /* ......33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"00A5 A5A5 0000 0000 A5A5 A5A5 A533 33FC"            /* .....33. */
	$"0008 33A5 A5A5 A5A5 00A5 A5A5 A5A5 A5A5"            /* ..3. */
	$"00A5 A5A5 A5A5 A500 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 00A5 A5A5 A5A5 A5A5"            /* ..3. */
	$"00A5 A5A5 A5A5 0000 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 0000 0000 00A5 A5A5 A5A5"            /* ..3..... */
	$"00A5 A5A5 A500 00A5 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 00A5 A5A5 A5A5 A5A5"            /* ..3. */
	$"00A5 A5A5 0000 A5A5 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 00A5 A5A5 A5A5 A5A5"            /* ..3. */
	$"00A5 00A5 00A5 A5A5 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A500 0000 0000 0000 0000 0000"            /* ..3........... */
	$"0000 0000 0000 0000 0000 00A5 A533 33FC"            /* ...........33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A500"            /* ..3. */
	$"0000 0000 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* ....33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 0000"            /* ..3.. */
	$"A5A5 A500 00A5 A5A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A500 00A5 A5A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A500 0000 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* ...33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"0000 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"0000 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* 33. */
	$"0008 33A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5"            /* ..3 */
	$"0000 A5A5 A5A5 A5A5 A5A5 A5A5 A533 33FC"            /* ..33. */
	$"0008 3333 3333 3333 3333 3333 3333 3333"            /* ..33333333333333 */
	$"3333 3333 3333 3333 3333 3333 3333 33FC"            /* 333333333333333. */
	$"0008 3333 3333 3333 3333 3333 3333 3333"            /* ..33333333333333 */
	$"3333 3333 3333 3333 3333 3333 3333 33FC"            /* 333333333333333. */
	$"0000 FCFC FCFC FCFC FCFC FCFC FCFC FCFC"            /* ................ */
	$"FCFC FCFC FCFC FCFC FCFC FCFC FCFC FCFC"            /* ................ */
};

resource 'ics#' (128) 
{
	{
		$"FFFF 8001 83B9 8119 83B9 8001 9139 B911"            /* .....9. */
		$"9121 8001 BFFD 8081 81C1 8041 8081 FFFF",           /* !..A.. */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"            /* ................ */
	}
};

resource 'ics4' (128) 
{
	$"BBBB BBBB BBBB BBBB B999 9999 9999 999E"            /*  */
	$"B999 9900 0900 099E B999 9990 9990 099E"            /* ..ƞƞ */
	$"B999 9900 0900 099E B999 9999 9999 999E"            /* ..ƞ */
	$"B990 9990 9900 099E B900 0990 9990 999E"            /* .ƞ.Ɛ */
	$"B990 9990 9909 999E B999 9999 9999 999E"            /* ƙ */
	$"B900 0000 0000 009E B999 9999 0999 999E"            /* ......ƙ */
	$"B999 9990 0099 999E B999 9999 9099 999E"            /* . */
	$"B999 9999 0999 999E BEEE EEEE EEEE EEEE"            /* ƙ....... */
};

resource 'ics8' (128) 
{
	$"0808 0808 0808 0808 0808 0808 0808 0808"            /* ................ */
	$"08A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5FC"            /* .. */
	$"08A5 A5A5 A5A5 0000 00A5 0000 00A5 A5FC"            /* ........ */
	$"08A5 A5A5 A5A5 A500 A5A5 A500 00A5 A5FC"            /* ..... */
	$"08A5 A5A5 A5A5 0000 00A5 0000 00A5 A5FC"            /* ........ */
	$"08A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5FC"            /* .. */
	$"08A5 A500 A5A5 A500 A5A5 0000 00A5 A5FC"            /* ....... */
	$"08A5 0000 00A5 A500 A5A5 A500 A5A5 A5FC"            /* ....... */
	$"08A5 A500 A5A5 A500 A5A5 00A5 A5A5 A5FC"            /* ..... */
	$"08A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5A5 A5FC"            /* .. */
	$"08A5 0000 0000 0000 0000 0000 0000 A5FC"            /* .............. */
	$"08A5 A5A5 A5A5 A5A5 00A5 A5A5 A5A5 A5FC"            /* ... */
	$"08A5 A5A5 A5A5 A500 0000 A5A5 A5A5 A5FC"            /* ..... */
	$"08A5 A5A5 A5A5 A5A5 A500 A5A5 A5A5 A5FC"            /* ... */
	$"08A5 A5A5 A5A5 A5A5 00A5 A5A5 A5A5 A5FC"            /* ... */
	$"08FC FCFC FCFC FCFC FCFC FCFC FCFC FCFC"            /* ................ */
};

resource 'DITL' (128) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 150, 100, 230},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 60, 230},
		StaticText {
			disabled,
			"Error. ^0 PC= ^1."
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};

resource 'DITL' (666, purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{164, 115, 184, 185},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{23, 6, 55, 188},
		StaticText {
			disabled,
			"Virtual User External Tool."
		},
		/* [3] */
		{127, 14, 147, 277},
		StaticText {
			disabled,
			"Copyright  1992-4 Apple Computer, Inc."
		},
		/* [4] */
		{8, 6, 24, 182},
		StaticText {
			disabled,
			"MathTool v. 2.0"
		},
		/* [5] */
		{81, 12, 118, 278},
		StaticText {
			disabled,
			"Written by Automation Systems, Apple Computer, Inc."
		},
		/* [6] */
		{16, 237, 48, 269},
		Icon {
			disabled,
			130
		}
	}
};


/* Apple Script dictionary resource.
 * Defines one service: "DoService"
 */
resource 'aete' (0) {
	0x1,
	0x0,
	english,
	roman,
	{	/* array Suites: 1 elements */
		/* [1] */
		"VU external tool",
		"",
		'v.u.',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"DoService",
			"Do an external tool service",
			'v.u.',
			'extc',
			'****',
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			notTightBindingFunction,
			reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved,
			verbEvent,
			reserved, reserved, reserved,
			'TEXT',
			"",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved,
			reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"Parameters",
				'extp',
				'list',
				"",
				required,
				singleItem,
				notEnumerated,
				reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam,
				notFeminine,
				notMasculine,
				singular
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};


resource 'vers' (1, purgeable) {
	0x2,
	0x1,
	final,
	0x0,
	verUS,
	"2.1",
	"2.1 Copyright  1992-4 Apple Computer, Inc."
};

resource 'vers' (2, purgeable) {
	0x2,
	0x1,
	final,
	0x0,
	verUS,
	"2.1",
	"MathTool 2.1"
};

